Unassign the driver from the specified route
A DELETE request to the /routes/{routeUuid}/driver endpoint unassigns the driver from the specified route within Routific.
Request URL
delete https://api.plan.routific.com/v2/routes//driver
How do I know my route's uuid?You can get your route uuids by calling the Fetch routes endpoint.
Request Payload
//none
Route status for removing a driverA driver can only be unassigned from routes that are in either
plannedorpublishedstatus
Sample Response Payload
Below is a sample response payload illustrating a successful request to remove the driver from the route.
{
"uuid": "042ebafe-a19e-42cb-ae64-2152306305dc",
"workspaceUuid": "e2e2ef34-59f4-4f3b-9a11-c523c69bb5c1",
"name": "route",
"driver": null,
"constraints": {
"startTime": "09:00",
"endTime": "17:00",
"capacity": null,
"tags": []
},
"timeline": {
"uri": "/v2/routes/042ebafe-a19e-42cb-ae64-2152306305dc/timeline"
},
"date": "2026-10-15",
"status": "planned",
"workingTimeInSeconds": 0,
"distanceInKilometers": 0,
"ordersCount": 0,
"capacityUsed": 0
}Here's a description of the fields returned in the response payload:
| Field | Type | Description |
|---|---|---|
| uuid | String | Unique identifier of the route. |
| workspaceUuid | String | Unique identifier of the workspace that the route belongs to. |
| name | String | The name of the route. |
| constraints.startTime | String | The configured start time of the route. |
| constraints.endTime | String | The configured end time of the route. |
| constraints.capacity | Integer | The maximum capacity of the route. |
| constraints.tags | Array | Tags assigned to the routes |
| driver | Object | Always set to null after unassigning a driver from the route. |
| timeline.uri | String | The URI to access additional details about a route's timeline like the sequence of stops and their associated ETAs. |
| date | String | The date that the routes is scheduled to be executed on. |
| status | String | Current status of the route. Possible values: planned, published, executing, and completed. |
| workingTimeInSeconds | Integer | Total working time for the route in seconds. |
| distanceInKilometers | Integer | Total distance covered by the route in kilometers. |
| ordersCount | Integer | Number of orders assigned to the route. |
| capacityUsed | Integer | Total utilized capacity of the routes based on the orders assigned to the route. |

